'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');
var LexicalComposer = require('@lexical/react/LexicalComposer');
var SettingsContext = require('./context/SettingsContext.js');
var SharedAutocompleteContext = require('./context/SharedAutocompleteContext.js');
var SharedHistoryContext = require('./context/SharedHistoryContext.js');
var Editor = require('./Editor.js');
var PlaygroundNodes = require('./nodes/PlaygroundNodes.js');
require('@lexical/react/LexicalComposerContext');
require('lexical');
require('react');
var TablePlugin = require('./plugins/TablePlugin.js');
require('./shared/index.js');
var index = require('./plugins/TypingPerfPlugin/index.js');
var PlaygroundEditorTheme = require('./themes/PlaygroundEditorTheme.js');

function App(props) {
    const { settings: { isCollab, emptyEditor, measureTypingPerf }, } = SettingsContext.useSettings();
    const initialConfig = {
        namespace: 'Playground',
        nodes: [...PlaygroundNodes["default"]],
        onError: (error) => {
            throw error;
        },
        theme: PlaygroundEditorTheme["default"],
    };
    return (jsxRuntime.jsx(LexicalComposer.LexicalComposer, { initialConfig: initialConfig, children: jsxRuntime.jsx(SharedHistoryContext.SharedHistoryContext, { children: jsxRuntime.jsx(TablePlugin.TableContext, { children: jsxRuntime.jsxs(SharedAutocompleteContext.SharedAutocompleteContext, { children: [jsxRuntime.jsx("div", { className: "editor-shell", children: jsxRuntime.jsx(Editor["default"], Object.assign({}, props)) }), null, null, null, measureTypingPerf ? jsxRuntime.jsx(index["default"], {}) : null] }) }) }) }));
}
function PlaygroundApp(props) {
    return (jsxRuntime.jsx(SettingsContext.SettingsContext, { children: jsxRuntime.jsx(App, Object.assign({}, props)) }));
}

exports["default"] = PlaygroundApp;
