'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');
var LexicalHistoryPlugin = require('@lexical/react/LexicalHistoryPlugin');
var React = require('react');

const Context = React.createContext({});
const SharedHistoryContext = ({ children, }) => {
    const historyContext = React.useMemo(() => ({ historyState: LexicalHistoryPlugin.createEmptyHistoryState() }), []);
    return jsxRuntime.jsx(Context.Provider, { value: historyContext, children: children });
};
const useSharedHistoryContext = () => {
    return React.useContext(Context);
};

exports.SharedHistoryContext = SharedHistoryContext;
exports.useSharedHistoryContext = useSharedHistoryContext;
