'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');
var LexicalComposerContext = require('@lexical/react/LexicalComposerContext');
var lexical = require('lexical');
var React = require('react');
var html = require('@lexical/html');
require('./header.css.js');

function HeaderPlugin({ placeholder = 'Enter a title...' }) {
    const [editor] = LexicalComposerContext.useLexicalComposerContext();
    const [header, setHeder] = React.useState('');
    const [value, setValue] = React.useState('');
    React.useLayoutEffect(() => {
        return editor.registerUpdateListener(() => {
            if (editor) {
                editor.update(() => {
                    const firstNode = lexical.$getRoot().getChildAtIndex(0);
                    if (firstNode && firstNode.__tag === 'h1') {
                        console.log(firstNode.getTextContent());
                        setValue(firstNode.getTextContent());
                    }
                });
            }
        });
    }, [editor]);
    React.useEffect(() => {
        if (editor) {
            if (header) {
                const parser = new DOMParser();
                const dom = parser.parseFromString(`<h1 class=\"editor-heading-h1\"><span>${header}</span></h1>`, 'text/html');
                editor.update(() => {
                    const nodes = html.$generateNodesFromDOM(editor, dom);
                    const firstNode = lexical.$getRoot().getChildAtIndex(0);
                    if (firstNode) {
                        firstNode.insertBefore(nodes[0]);
                        if (firstNode.__tag === 'h1') {
                            firstNode.remove();
                        }
                    }
                });
            }
        }
    }, [editor, header]);
    return jsxRuntime.jsx("input", { type: "text", placeholder: placeholder, value: value, onChange: (e) => { setValue(e.currentTarget.value); }, onBlur: () => setHeder(value), autoFocus: true, className: "header-title" });
}

exports.HeaderPlugin = HeaderPlugin;
