'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var LexicalComposerContext = require('@lexical/react/LexicalComposerContext');
var lexical = require('lexical');
var React = require('react');
var html = require('@lexical/html');

function InitialWithHtmlPlugin({ html: initHtml = '' }) {
    const [editor] = LexicalComposerContext.useLexicalComposerContext();
    React.useEffect(() => {
        if (initHtml) {
            const parser = new DOMParser();
            const dom = parser.parseFromString(initHtml, 'text/html');
            editor.update(() => {
                const nodes = html.$generateNodesFromDOM(editor, dom);
                lexical.$getRoot().select();
                lexical.$insertNodes(nodes);
            });
        }
    }, [editor, initHtml]);
    return null;
}

exports.InitialWithHtmlPlugin = InitialWithHtmlPlugin;
