'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');
var React = require('react');
var Modal = require('../ui/Modal.js');

function useModal() {
    const [modalContent, setModalContent] = React.useState(null);
    const onClose = React.useCallback(() => {
        setModalContent(null);
    }, []);
    const modal = React.useMemo(() => {
        if (modalContent === null) {
            return null;
        }
        const { title, content, closeOnClickOutside } = modalContent;
        return (jsxRuntime.jsx(Modal["default"], { onClose: onClose, title: title, closeOnClickOutside: closeOnClickOutside, children: content }));
    }, [modalContent, onClose]);
    const showModal = React.useCallback((title, 
    // eslint-disable-next-line no-shadow
    getContent, closeOnClickOutside = false) => {
        setModalContent({
            closeOnClickOutside,
            content: getContent(onClose),
            title,
        });
    }, [onClose]);
    return [modal, showModal];
}

exports["default"] = useModal;
