'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib_es6 = require('../../../node_modules/tslib/tslib.es6.js');
var jsxRuntime = require('react/jsx-runtime');
var excalidraw = require('@excalidraw/excalidraw');
var React = require('react');

// exportToSvg has fonts from excalidraw.com
// We don't want them to be used in open source
const removeStyleFromSvg_HACK = (svg) => {
    var _a;
    const styleTag = (_a = svg === null || svg === void 0 ? void 0 : svg.firstElementChild) === null || _a === void 0 ? void 0 : _a.firstElementChild;
    // Generated SVG is getting double-sized by height and width attributes
    // We want to match the real size of the SVG element
    const viewBox = svg.getAttribute('viewBox');
    if (viewBox != null) {
        const viewBoxDimensions = viewBox.split(' ');
        svg.setAttribute('width', viewBoxDimensions[2]);
        svg.setAttribute('height', viewBoxDimensions[3]);
    }
    if (styleTag && styleTag.tagName === 'style') {
        styleTag.remove();
    }
};
/**
 * @explorer-desc
 * A component for rendering Excalidraw elements as a static image
 */
function ExcalidrawImage({ elements, files, imageContainerRef, appState, rootClassName = null, }) {
    var _a;
    const [Svg, setSvg] = React.useState(null);
    React.useEffect(() => {
        const setContent = () => tslib_es6.__awaiter(this, void 0, void 0, function* () {
            const svg = yield excalidraw.exportToSvg({
                appState,
                elements,
                files,
            });
            removeStyleFromSvg_HACK(svg);
            svg.setAttribute('width', '100%');
            svg.setAttribute('height', '100%');
            svg.setAttribute('display', 'block');
            setSvg(svg);
        });
        setContent();
    }, [elements, files, appState]);
    return (jsxRuntime.jsx("div", { ref: imageContainerRef, className: rootClassName !== null && rootClassName !== void 0 ? rootClassName : '', dangerouslySetInnerHTML: { __html: (_a = Svg === null || Svg === void 0 ? void 0 : Svg.outerHTML) !== null && _a !== void 0 ? _a : '' } }));
}

exports["default"] = ExcalidrawImage;
