'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var code = require('@lexical/code');
var hashtag = require('@lexical/hashtag');
var link = require('@lexical/link');
var list = require('@lexical/list');
var mark = require('@lexical/mark');
var overflow = require('@lexical/overflow');
var LexicalHorizontalRuleNode = require('@lexical/react/LexicalHorizontalRuleNode');
var richText = require('@lexical/rich-text');
var table = require('@lexical/table');
var CollapsibleContainerNode = require('../plugins/CollapsiblePlugin/CollapsibleContainerNode.js');
var CollapsibleContentNode = require('../plugins/CollapsiblePlugin/CollapsibleContentNode.js');
var CollapsibleTitleNode = require('../plugins/CollapsiblePlugin/CollapsibleTitleNode.js');
var AutocompleteNode = require('./AutocompleteNode.js');
var EmojiNode = require('./EmojiNode.js');
var EquationNode = require('./EquationNode.js');
var index = require('./ExcalidrawNode/index.js');
var FigmaNode = require('./FigmaNode.js');
var ImageNode = require('./ImageNode.js');
var InlineImageNode = require('./InlineImageNode.js');
var KeywordNode = require('./KeywordNode.js');
var MentionNode = require('./MentionNode.js');
var index$1 = require('./PageBreakNode/index.js');
var PollNode = require('./PollNode.js');
var StickyNode = require('./StickyNode.js');
var TableNode = require('./TableNode.js');
var TweetNode = require('./TweetNode.js');
var YouTubeNode = require('./YouTubeNode.js');

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
const PlaygroundNodes = [
    richText.HeadingNode,
    list.ListNode,
    list.ListItemNode,
    richText.QuoteNode,
    code.CodeNode,
    TableNode.TableNode,
    table.TableNode,
    table.TableCellNode,
    table.TableRowNode,
    hashtag.HashtagNode,
    code.CodeHighlightNode,
    link.AutoLinkNode,
    link.LinkNode,
    overflow.OverflowNode,
    PollNode.PollNode,
    StickyNode.StickyNode,
    ImageNode.ImageNode,
    InlineImageNode.InlineImageNode,
    MentionNode.MentionNode,
    EmojiNode.EmojiNode,
    index.ExcalidrawNode,
    EquationNode.EquationNode,
    AutocompleteNode.AutocompleteNode,
    KeywordNode.KeywordNode,
    LexicalHorizontalRuleNode.HorizontalRuleNode,
    TweetNode.TweetNode,
    YouTubeNode.YouTubeNode,
    FigmaNode.FigmaNode,
    mark.MarkNode,
    CollapsibleContainerNode.CollapsibleContainerNode,
    CollapsibleContentNode.CollapsibleContentNode,
    CollapsibleTitleNode.CollapsibleTitleNode,
    index$1.PageBreakNode,
];

exports["default"] = PlaygroundNodes;
