'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var code = require('@lexical/code');
var hashtag = require('@lexical/hashtag');
var link = require('@lexical/link');
var list = require('@lexical/list');
var richText = require('@lexical/rich-text');
var AutocompleteNode = require('./AutocompleteNode.js');
var EmojiNode = require('./EmojiNode.js');
var EquationNode = require('./EquationNode.js');
var index = require('./ExcalidrawNode/index.js');
var ImageNode = require('./ImageNode.js');
var KeywordNode = require('./KeywordNode.js');
var MentionNode = require('./MentionNode.js');

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
const PlaygroundNodes = [
    richText.HeadingNode,
    list.ListNode,
    list.ListItemNode,
    richText.QuoteNode,
    code.CodeNode,
    hashtag.HashtagNode,
    code.CodeHighlightNode,
    link.AutoLinkNode,
    link.LinkNode,
    ImageNode.ImageNode,
    MentionNode.MentionNode,
    EmojiNode.EmojiNode,
    index.ExcalidrawNode,
    EquationNode.EquationNode,
    AutocompleteNode.AutocompleteNode,
    KeywordNode.KeywordNode,
];

exports["default"] = PlaygroundNodes;
