'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib_es6 = require('../../../../../node_modules/tslib/tslib.es6.js');
var jsxRuntime = require('react/jsx-runtime');
var code = require('@lexical/code');
var lexical = require('lexical');
var React = require('react');
var utils = require('../../utils.js');

function CopyButton({ editor, getCodeDOMNode }) {
    const [isCopyCompleted, setCopyCompleted] = React.useState(false);
    const removeSuccessIcon = utils.useDebounce(() => {
        setCopyCompleted(false);
    }, 1000);
    function handleClick() {
        return tslib_es6.__awaiter(this, void 0, void 0, function* () {
            const codeDOMNode = getCodeDOMNode();
            if (!codeDOMNode) {
                return;
            }
            let content = '';
            editor.update(() => {
                const codeNode = lexical.$getNearestNodeFromDOMNode(codeDOMNode);
                if (code.$isCodeNode(codeNode)) {
                    content = codeNode.getTextContent();
                }
                const selection = lexical.$getSelection();
                lexical.$setSelection(selection);
            });
            try {
                yield navigator.clipboard.writeText(content);
                setCopyCompleted(true);
                removeSuccessIcon();
            }
            catch (err) {
                console.error('Failed to copy: ', err);
            }
        });
    }
    return (jsxRuntime.jsx("button", { className: "menu-item", onClick: handleClick, "aria-label": "copy", children: isCopyCompleted ? (jsxRuntime.jsx("i", { className: "format success" })) : (jsxRuntime.jsx("i", { className: "format copy" })) }));
}

exports.CopyButton = CopyButton;
