'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib_es6 = require('../../../node_modules/tslib/tslib.es6.js');
var LexicalComposerContext = require('@lexical/react/LexicalComposerContext');
var richText = require('@lexical/rich-text');
var utils = require('@lexical/utils');
var lexical = require('lexical');
var React = require('react');
var index = require('../ImagesPlugin/index.js');

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
const ACCEPTABLE_IMAGE_TYPES = [
    'image/',
    'image/heic',
    'image/heif',
    'image/gif',
    'image/webp',
];
function DragDropPaste() {
    const [editor] = LexicalComposerContext.useLexicalComposerContext();
    React.useEffect(() => {
        return editor.registerCommand(richText.DRAG_DROP_PASTE, (files) => {
            (() => tslib_es6.__awaiter(this, void 0, void 0, function* () {
                const filesResult = yield utils.mediaFileReader(files, [ACCEPTABLE_IMAGE_TYPES].flatMap((x) => x));
                for (const { file, result } of filesResult) {
                    if (utils.isMimeType(file, ACCEPTABLE_IMAGE_TYPES)) {
                        editor.dispatchCommand(index.INSERT_IMAGE_COMMAND, {
                            altText: file.name,
                            src: result,
                        });
                    }
                }
            }))();
            return true;
        }, lexical.COMMAND_PRIORITY_LOW);
    }, [editor]);
    return null;
}

exports["default"] = DragDropPaste;
