'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var LexicalComposerContext = require('@lexical/react/LexicalComposerContext');
var utils = require('@lexical/utils');
var lexical = require('lexical');
var React = require('react');
var index = require('../../nodes/ExcalidrawNode/index.js');

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
const INSERT_EXCALIDRAW_COMMAND = lexical.createCommand('INSERT_EXCALIDRAW_COMMAND');
function ExcalidrawPlugin() {
    const [editor] = LexicalComposerContext.useLexicalComposerContext();
    React.useEffect(() => {
        if (!editor.hasNodes([index.ExcalidrawNode])) {
            throw new Error('ExcalidrawPlugin: ExcalidrawNode not registered on editor');
        }
        return editor.registerCommand(INSERT_EXCALIDRAW_COMMAND, () => {
            const excalidrawNode = index.$createExcalidrawNode();
            lexical.$insertNodes([excalidrawNode]);
            if (lexical.$isRootOrShadowRoot(excalidrawNode.getParentOrThrow())) {
                utils.$wrapNodeInElement(excalidrawNode, lexical.$createParagraphNode).selectEnd();
            }
            return true;
        }, lexical.COMMAND_PRIORITY_EDITOR);
    }, [editor]);
    return null;
}

exports.INSERT_EXCALIDRAW_COMMAND = INSERT_EXCALIDRAW_COMMAND;
exports["default"] = ExcalidrawPlugin;
