'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var LexicalComposerContext = require('@lexical/react/LexicalComposerContext');
var utils = require('@lexical/utils');
var lexical = require('lexical');
var React = require('react');
var FigmaNode = require('../../nodes/FigmaNode.js');

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
const INSERT_FIGMA_COMMAND = lexical.createCommand('INSERT_FIGMA_COMMAND');
function FigmaPlugin() {
    const [editor] = LexicalComposerContext.useLexicalComposerContext();
    React.useEffect(() => {
        if (!editor.hasNodes([FigmaNode.FigmaNode])) {
            throw new Error('FigmaPlugin: FigmaNode not registered on editor');
        }
        return editor.registerCommand(INSERT_FIGMA_COMMAND, (payload) => {
            const figmaNode = FigmaNode.$createFigmaNode(payload);
            utils.$insertNodeToNearestRoot(figmaNode);
            return true;
        }, lexical.COMMAND_PRIORITY_EDITOR);
    }, [editor]);
    return null;
}

exports.INSERT_FIGMA_COMMAND = INSERT_FIGMA_COMMAND;
exports["default"] = FigmaPlugin;
