'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var LexicalComposerContext = require('@lexical/react/LexicalComposerContext');
var utils = require('@lexical/utils');
var lexical = require('lexical');
var React = require('react');
var TweetNode = require('../../nodes/TweetNode.js');

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
const INSERT_TWEET_COMMAND = lexical.createCommand('INSERT_TWEET_COMMAND');
function TwitterPlugin() {
    const [editor] = LexicalComposerContext.useLexicalComposerContext();
    React.useEffect(() => {
        if (!editor.hasNodes([TweetNode.TweetNode])) {
            throw new Error('TwitterPlugin: TweetNode not registered on editor');
        }
        return editor.registerCommand(INSERT_TWEET_COMMAND, (payload) => {
            const tweetNode = TweetNode.$createTweetNode(payload);
            utils.$insertNodeToNearestRoot(tweetNode);
            return true;
        }, lexical.COMMAND_PRIORITY_EDITOR);
    }, [editor]);
    return null;
}

exports.INSERT_TWEET_COMMAND = INSERT_TWEET_COMMAND;
exports["default"] = TwitterPlugin;
