'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var LexicalComposerContext = require('@lexical/react/LexicalComposerContext');
var utils = require('@lexical/utils');
var lexical = require('lexical');
var React = require('react');
var YouTubeNode = require('../../nodes/YouTubeNode.js');

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
const INSERT_YOUTUBE_COMMAND = lexical.createCommand('INSERT_YOUTUBE_COMMAND');
function YouTubePlugin() {
    const [editor] = LexicalComposerContext.useLexicalComposerContext();
    React.useEffect(() => {
        if (!editor.hasNodes([YouTubeNode.YouTubeNode])) {
            throw new Error('YouTubePlugin: YouTubeNode not registered on editor');
        }
        return editor.registerCommand(INSERT_YOUTUBE_COMMAND, (payload) => {
            const youTubeNode = YouTubeNode.$createYouTubeNode(payload);
            utils.$insertNodeToNearestRoot(youTubeNode);
            return true;
        }, lexical.COMMAND_PRIORITY_EDITOR);
    }, [editor]);
    return null;
}

exports.INSERT_YOUTUBE_COMMAND = INSERT_YOUTUBE_COMMAND;
exports["default"] = YouTubePlugin;
