'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');
require('./KatexEquationAlterer.css.js');
var LexicalComposerContext = require('@lexical/react/LexicalComposerContext');
var React = require('react');
var reactErrorBoundary = require('react-error-boundary');
var Button = require('./Button.js');
var KatexRenderer = require('./KatexRenderer.js');

function KatexEquationAlterer({ onConfirm, initialEquation = '', }) {
    const [editor] = LexicalComposerContext.useLexicalComposerContext();
    const [equation, setEquation] = React.useState(initialEquation);
    const [inline, setInline] = React.useState(true);
    const onClick = React.useCallback(() => {
        onConfirm(equation, inline);
    }, [onConfirm, equation, inline]);
    const onCheckboxChange = React.useCallback(() => {
        setInline(!inline);
    }, [setInline, inline]);
    return (jsxRuntime.jsxs(jsxRuntime.Fragment, { children: [jsxRuntime.jsxs("div", { className: "KatexEquationAlterer_defaultRow", children: ["Inline", jsxRuntime.jsx("input", { type: "checkbox", checked: inline, onChange: onCheckboxChange })] }), jsxRuntime.jsx("div", { className: "KatexEquationAlterer_defaultRow", children: "Equation " }), jsxRuntime.jsx("div", { className: "KatexEquationAlterer_centerRow", children: inline ? (jsxRuntime.jsx("input", { onChange: (event) => {
                        setEquation(event.target.value);
                    }, value: equation, className: "KatexEquationAlterer_textArea" })) : (jsxRuntime.jsx("textarea", { onChange: (event) => {
                        setEquation(event.target.value);
                    }, value: equation, className: "KatexEquationAlterer_textArea" })) }), jsxRuntime.jsx("div", { className: "KatexEquationAlterer_defaultRow", children: "Visualization " }), jsxRuntime.jsx("div", { className: "KatexEquationAlterer_centerRow", children: jsxRuntime.jsx(reactErrorBoundary.ErrorBoundary, { onError: (e) => editor._onError(e), fallback: null, children: jsxRuntime.jsx(KatexRenderer["default"], { equation: equation, inline: false, onDoubleClick: () => null }) }) }), jsxRuntime.jsx("div", { className: "KatexEquationAlterer_dialogActions", children: jsxRuntime.jsx(Button["default"], { onClick: onClick, children: "Confirm" }) })] }));
}

exports["default"] = KatexEquationAlterer;
