'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');
var katex = require('katex');
var React = require('react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var katex__default = /*#__PURE__*/_interopDefaultLegacy(katex);

function KatexRenderer({ equation, inline, onDoubleClick, }) {
    const katexElementRef = React.useRef(null);
    React.useEffect(() => {
        const katexElement = katexElementRef.current;
        if (katexElement !== null) {
            katex__default["default"].render(equation, katexElement, {
                displayMode: !inline,
                errorColor: '#cc0000',
                output: 'html',
                strict: 'warn',
                throwOnError: false,
                trust: false,
            });
        }
    }, [equation, inline]);
    return (
    // We use an empty image tag either side to ensure Android doesn't try and compose from the
    // inner text from Katex. There didn't seem to be any other way of making this work,
    // without having a physical space.
    jsxRuntime.jsxs(jsxRuntime.Fragment, { children: [jsxRuntime.jsx("img", { src: "#", alt: "" }), jsxRuntime.jsx("span", { role: "button", tabIndex: -1, onDoubleClick: onDoubleClick, ref: katexElementRef }), jsxRuntime.jsx("img", { src: "#", alt: "" })] }));
}

exports["default"] = KatexRenderer;
