'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var selection = require('@lexical/selection');

/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
function getSelectedNode(selection$1) {
    const anchor = selection$1.anchor;
    const focus = selection$1.focus;
    const anchorNode = selection$1.anchor.getNode();
    const focusNode = selection$1.focus.getNode();
    if (anchorNode === focusNode) {
        return anchorNode;
    }
    const isBackward = selection$1.isBackward();
    if (isBackward) {
        return selection.$isAtNodeEnd(focus) ? anchorNode : focusNode;
    }
    else {
        return selection.$isAtNodeEnd(anchor) ? anchorNode : focusNode;
    }
}

exports.getSelectedNode = getSelectedNode;
